Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation
Theme

Create vector store

vector_stores.create(**kwargs) -> VectorStore
POST
/vector_stores

Create a vector store.

Parameters
chunking_strategy: Optional[FileChunkingStrategyParam]

The chunking strategy used to chunk the file(s). If not set, will use the auto strategy. Only applicable if file_ids is non-empty.

description: Optional[str]

A description for the vector store. Can be used to describe the vector store’s purpose.

expires_after: Optional[ExpiresAfter]

The expiration policy for a vector store.

file_ids: Optional[Sequence[str]]

A list of File IDs that the vector store should use. Useful for tools like file_search that can access files.

maxItems500
metadata: Optional[Metadata]

Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard.

Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.

name: Optional[str]

The name of the vector store.

Returns
class VectorStore: …

A vector store is a collection of processed files can be used by the file_search tool.

id: str

The identifier, which can be referenced in API endpoints.

created_at: int

The Unix timestamp (in seconds) for when the vector store was created.

formatunixtime
file_counts: FileCounts
last_active_at: Optional[int]

The Unix timestamp (in seconds) for when the vector store was last active.

formatunixtime
metadata: Optional[Metadata]

Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard.

Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.

name: str

The name of the vector store.

object: Literal["vector_store"]

The object type, which is always vector_store.

status: Literal["expired", "in_progress", "completed"]

The status of the vector store, which can be either expired, in_progress, or completed. A status of completed indicates that the vector store is ready for use.

usage_bytes: int

The total number of bytes used by the files in the vector store.

expires_after: Optional[ExpiresAfter]

The expiration policy for a vector store.

expires_at: Optional[int]

The Unix timestamp (in seconds) for when the vector store will expire.

formatunixtime

Create vector store

from openai import OpenAI
client = OpenAI()

vector_store = client.vector_stores.create(
  name="Support FAQ"
)
print(vector_store)
Response example
{
  "id": "vs_abc123",
  "object": "vector_store",
  "created_at": 1699061776,
  "name": "Support FAQ",
  "description": "Contains commonly asked questions and answers, organized by topic.",
  "file_counts": {
    "in_progress": 0,
    "completed": 0,
    "failed": 0,
    "cancelled": 0,
    "total": 0
  },
  "usage_bytes": 0,
  "status": "completed",
  "last_active_at": null,
  "metadata": {}
}
Returns Examples
Response example
{
  "id": "vs_abc123",
  "object": "vector_store",
  "created_at": 1699061776,
  "name": "Support FAQ",
  "description": "Contains commonly asked questions and answers, organized by topic.",
  "file_counts": {
    "in_progress": 0,
    "completed": 0,
    "failed": 0,
    "cancelled": 0,
    "total": 0
  },
  "usage_bytes": 0,
  "status": "completed",
  "last_active_at": null,
  "metadata": {}
}